/* Copyright (c) 2004 The Concord Consortium, Inc., 
   10 Concord Crossing, Concord, MA 01741.

   This library is free software; you can redistribute it
   and/or modify it under the terms of the GNU Lesser General
   Public License as published by the Free Software 
   Foundation; version 2.1 of the License.

   This library is distributed in the hope that it will be
   useful, but WITHOUT ANY WARRANTY; without even the 
   implied warranty of MERCHANTABILITY or FITNESS FOR A 
   PARTICULAR PURPOSE. See the GNU Lesser General Public 
   License for more details.

   The GNU Lesser General Public License can be found at 
   http://opensource.org/licenses/lgpl-license.php; for a 
   paper copy, write to the Free Software Foundation, Inc., 
   59 Temple Place, Suite 330, Boston, MA 02111-1307 USA 
*/


/*
 * Last modification information:
 * $Revision: 1.2 $
 * $Date: 2004/06/07 17:55:42 $
 * $Author: imoncada $
 *
 * Licence Information
 * Copyright 2004 The Concord Consortium 
*/
package org.concord.graph.engine;

import java.awt.Point;


/**
 * Class name and description
 *
 * Date created: May 26, 2004
 *
 * @author imoncada<p>
 *
 */
public interface MouseSensitive
{
	/**
	 * Checks if the location is within enough proximity.
	 * This is used by the Mouse Manager to select objects,
	 * and to delegate mouse methods. 
	 * If the location is close enough of the object, 
	 * returns true. 
	 * The location is given in display coordinates. 
	 */
	public boolean isPointInProximity(Point p);

}
