/* Copyright (c) 2004 The Concord Consortium, Inc., 
   10 Concord Crossing, Concord, MA 01741.

   This library is free software; you can redistribute it
   and/or modify it under the terms of the GNU Lesser General
   Public License as published by the Free Software 
   Foundation; version 2.1 of the License.

   This library is distributed in the hope that it will be
   useful, but WITHOUT ANY WARRANTY; without even the 
   implied warranty of MERCHANTABILITY or FITNESS FOR A 
   PARTICULAR PURPOSE. See the GNU Lesser General Public 
   License for more details.

   The GNU Lesser General Public License can be found at 
   http://opensource.org/licenses/lgpl-license.php; for a 
   paper copy, write to the Free Software Foundation, Inc., 
   59 Temple Place, Suite 330, Boston, MA 02111-1307 USA 
*/


/**
 * Last modification information:
 * $Revision: 1.1 $
 * $Date: 2004/05/24 20:16:30 $
 * $Author: imoncada $
 *
 * Copyright 2004 The Concord Consortium
*/
package org.concord.graph.engine;

/**
 * Axis
 *
 * Date created: 04/07/2004
 *
 * @author Ingrid C Moncada<p>
 *
 */

public class SingleAxis
{
	private double origin;	//Origin in display coordinates
	private double scale;	//Number of display units FOR EACH world unit
	
	public SingleAxis()
	{
		this(0.0, 1.0);
	}
	
	public SingleAxis(double origin, double scale)
	{
		this.origin = origin;
		this.scale = scale;
	}

	public void setOrigin(double origin)
	{
		this.origin = origin;
	}
	
	public double getOrigin()
	{
		return origin;
	}

	public void setScale(double scale)
	{
		this.scale = scale;
	}
	
	public double getScale()
	{
		return scale;
	}
	
	/*
	 * Transform From display coordinates To world coordinates 
	 */
	public double transformDisplayToWorld(double d)
	{
		return (d - origin) / scale;
	}

	/*
	 * Transform From world coordinates To display coordinates 
	 */
	public double transformWorldToDisplay(double w)
	{
		return (w * scale) + origin;
	}
}
