/* Copyright (c) 2004 The Concord Consortium, Inc., 
   10 Concord Crossing, Concord, MA 01741.

   This library is free software; you can redistribute it
   and/or modify it under the terms of the GNU Lesser General
   Public License as published by the Free Software 
   Foundation; version 2.1 of the License.

   This library is distributed in the hope that it will be
   useful, but WITHOUT ANY WARRANTY; without even the 
   implied warranty of MERCHANTABILITY or FITNESS FOR A 
   PARTICULAR PURPOSE. See the GNU Lesser General Public 
   License for more details.

   The GNU Lesser General Public License can be found at 
   http://opensource.org/licenses/lgpl-license.php; for a 
   paper copy, write to the Free Software Foundation, Inc., 
   59 Temple Place, Suite 330, Boston, MA 02111-1307 USA 
*/


/**
 * Last modification information:
 * $Revision: 1.2 $
 * $Date: 2004/05/27 19:52:06 $
 * $Author: imoncada $
 *
 * Copyright 2004 The Concord Consortium
*/
package org.concord.graph.event;

import javax.swing.event.*;

/**
 * CoordinateSystem change event
 *
 * Date created: 04/07/2004
 *
 * @author Ingrid C Moncada<p>
 *
 */

public class CoordinateSystemChangeEvent extends ChangeEvent
{
	private boolean scale;
	private boolean origin;
	private boolean changing;
	private boolean firstAxisChange;
	private boolean secondAxisChange;
	
	public CoordinateSystemChangeEvent(Object source)
	{
		this(source, false);
	}

	public CoordinateSystemChangeEvent(Object source, boolean changing)
	{
		this(source, true, true, true, true, changing);
	}
	
	public CoordinateSystemChangeEvent(Object source, boolean scale, boolean origin, boolean firstAxisChange, boolean secondAxisChange, boolean changing)
	{
		super(source);
		this.scale = scale;
		this.origin = origin;
		this.changing = changing;
		this.firstAxisChange = firstAxisChange;
		this.secondAxisChange = secondAxisChange;
	}

	public boolean isScaleChange()
	{
		return scale;
	}

	public boolean isOriginChange()
	{
		return origin;
	}
	
	public boolean isChanging()
	{
		return changing;
	}
	
	public boolean isFirstAxisChange()
	{
		return firstAxisChange;
	}

	public boolean isSecondAxisChange()
	{
		return secondAxisChange;
	}
	
	public String toString()
	{
		return super.toString() + 
			" - change scale:" + scale +
			" - change origin:" + origin +
			" - firstAxisChange:" + firstAxisChange +
			" - secondAxisChange:" + secondAxisChange +
			" - changing:" + changing;
	}
}
