/* Copyright (c) 2004 The Concord Consortium, Inc., 
   10 Concord Crossing, Concord, MA 01741.

   This library is free software; you can redistribute it
   and/or modify it under the terms of the GNU Lesser General
   Public License as published by the Free Software 
   Foundation; version 2.1 of the License.

   This library is distributed in the hope that it will be
   useful, but WITHOUT ANY WARRANTY; without even the 
   implied warranty of MERCHANTABILITY or FITNESS FOR A 
   PARTICULAR PURPOSE. See the GNU Lesser General Public 
   License for more details.

   The GNU Lesser General Public License can be found at 
   http://opensource.org/licenses/lgpl-license.php; for a 
   paper copy, write to the Free Software Foundation, Inc., 
   59 Temple Place, Suite 330, Boston, MA 02111-1307 USA 
*/


/*
 * Last modification information:
 * $Revision: 1.1 $
 * $Date: 2004/05/27 20:26:39 $
 * $Author: imoncada $
 *
 * Licence Information
 * Copyright 2004 The Concord Consortium 
*/
package org.concord.graph.event;


/**
 * Class name and description
 *
 * Date created: May 27, 2004
 *
 * @author imoncada<p>
 *
 */
public class GraphAreaChangeEvent extends CoordinateSystemChangeEvent
{
	private boolean size;
	private boolean position;
	
	/**
	 * @param source
	 */
	public GraphAreaChangeEvent(Object source)
	{
		super(source);
		this.size = false;
		this.position = false;
	}

	public GraphAreaChangeEvent(CoordinateSystemChangeEvent evt, boolean size, boolean pos)
	{
		super(evt.getSource(), evt.isScaleChange(), evt.isOriginChange(),
				evt.isFirstAxisChange(), evt.isSecondAxisChange(), evt.isChanging());
		this.size = size;
		this.position = pos;
	}

	public GraphAreaChangeEvent(Object source, boolean size, boolean pos)
	{
		super(source, false, false, false, false, false);
		this.size = size;
		this.position = pos;
	}

	public boolean isSizeChange()
	{
		return size;
	}
	
	public boolean isPositionChange()
	{
		return position;
	}
}
