/* Copyright (c) 2004 The Concord Consortium, Inc., 
   10 Concord Crossing, Concord, MA 01741.

   This library is free software; you can redistribute it
   and/or modify it under the terms of the GNU Lesser General
   Public License as published by the Free Software 
   Foundation; version 2.1 of the License.

   This library is distributed in the hope that it will be
   useful, but WITHOUT ANY WARRANTY; without even the 
   implied warranty of MERCHANTABILITY or FITNESS FOR A 
   PARTICULAR PURPOSE. See the GNU Lesser General Public 
   License for more details.

   The GNU Lesser General Public License can be found at 
   http://opensource.org/licenses/lgpl-license.php; for a 
   paper copy, write to the Free Software Foundation, Inc., 
   59 Temple Place, Suite 330, Boston, MA 02111-1307 USA 
*/


/**
 * Last modification information:
 * $Revision: 1.1 $
 * $Date: 2004/05/24 20:16:30 $
 * $Author: imoncada $
 *
 * Copyright 2004 The Concord Consortium
*/
package org.concord.graph.ui;

import java.awt.event.*;

import org.concord.graph.engine.*;

/**
 * Handler of the mouse events in the 
 * Graph Window
 *
 * Date created: 04/07/2004
 *
 * @author Ingrid Moncada<p>
*/
public interface GraphMouseManager 
	extends MouseListener, MouseMotionListener
{
	/**
	 * Sets the list of Selectable objects
	 * that need to be selected with the mouse. 
	 * The objects in this list that are
	 * MouseControllable objects, need also
	 * to receive the mouse events (pressed,
	 * dragged, released)
	 * It is maintained by the Graph Window
	 * itself, so it should not be changed
	 */
	public void setSelectableList(SelectableList selectables);
	
	/**
	 * Sets the behavior with the mouse
	 */
	public void setMouseBehavior(int behavior);

	/**
	 * Returns the behavior with the mouse
	 */
	public int getMouseBehavior();
}
