/* Copyright (c) 2004 The Concord Consortium, Inc., 
   10 Concord Crossing, Concord, MA 01741.

   This library is free software; you can redistribute it
   and/or modify it under the terms of the GNU Lesser General
   Public License as published by the Free Software 
   Foundation; version 2.1 of the License.

   This library is distributed in the hope that it will be
   useful, but WITHOUT ANY WARRANTY; without even the 
   implied warranty of MERCHANTABILITY or FITNESS FOR A 
   PARTICULAR PURPOSE. See the GNU Lesser General Public 
   License for more details.

   The GNU Lesser General Public License can be found at 
   http://opensource.org/licenses/lgpl-license.php; for a 
   paper copy, write to the Free Software Foundation, Inc., 
   59 Temple Place, Suite 330, Boston, MA 02111-1307 USA 
*/


/**
 * Last modification information:
 * $Revision: 1.1 $
 * $Date: 2004/05/26 17:51:55 $
 * $Author: imoncada $
 *
 * Copyright 2004 The Concord Consortium
*/
package org.concord.graph.ui;

import java.util.*;
import java.awt.*;

import org.concord.graph.engine.*;
import org.concord.graph.event.*;

/**
 * @author Ingrid Moncada<p>
*/

public class Grid2D extends DefaultGraphable
{
	//Grid for each axis
	protected SingleAxisGrid xGrid;
	protected SingleAxisGrid yGrid;
	
	protected GraphArea graphArea;
	protected CoordinateSystemChangeEvent coordChange;
	protected Vector graphableListeners;

	public Grid2D()
	{
		xGrid = new SingleAxisGrid(1);
		yGrid = new SingleAxisGrid(2);
	}
	
	public SingleAxisGrid getXGrid()
	{
		return xGrid;
	}
	
	public SingleAxisGrid getYGrid()
	{
		return yGrid;
	}

	/** 
	 * Sets the graph area where the graphable will be drawn 
	 */
	public void setGraphArea(GraphArea area)
	{
		this.graphArea = area;
		xGrid.setGraphArea(graphArea);
		yGrid.setGraphArea(graphArea);
	}

	/** 
	 * returns the graph area where the graphable will be drawn 
	 */
	public GraphArea getGraphArea()
	{
		return this.graphArea;
	}
	
	/** 
	 * Draws the grid on the screen. 
	 */
	public void draw(Graphics2D g) 
	{
		if (graphArea == null) return;

		if (yGrid.getShowAxisLines()){
			xGrid.setDrawGridOnAxis(false);
		}
		xGrid.draw(g);

		if (xGrid.getShowAxisLines()){
			yGrid.setDrawGridOnAxis(false);
		}
		yGrid.draw(g);
    }
	
	/** Returns a copy of itself */
	public Graphable getCopy()
	{
		Grid2D g = new Grid2D();
		g.xGrid = (SingleAxisGrid)xGrid.getCopy();
		g.yGrid = (SingleAxisGrid)yGrid.getCopy();
		return g;
	}

}
