/* Copyright (c) 2004 The Concord Consortium, Inc., 
   10 Concord Crossing, Concord, MA 01741.

   This library is free software; you can redistribute it
   and/or modify it under the terms of the GNU Lesser General
   Public License as published by the Free Software 
   Foundation; version 2.1 of the License.

   This library is distributed in the hope that it will be
   useful, but WITHOUT ANY WARRANTY; without even the 
   implied warranty of MERCHANTABILITY or FITNESS FOR A 
   PARTICULAR PURPOSE. See the GNU Lesser General Public 
   License for more details.

   The GNU Lesser General Public License can be found at 
   http://opensource.org/licenses/lgpl-license.php; for a 
   paper copy, write to the Free Software Foundation, Inc., 
   59 Temple Place, Suite 330, Boston, MA 02111-1307 USA 
*/


package org.concord.graph.ui;

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

/**
 * test class for igraph
 * 
 * @author Ingrid Moncada<p>
 *
   $Revision: 1.2 $
*/
public class MainPanel extends JPanel
{
	GraphWindow graph;
	Grid grid;
	
	public MainPanel()
	{
		grid = new Grid();
		//grid.setInterval(1.0,1.0);
		//grid.setLabelFormat(new DecimalFormat("#"));
		
		graph = new GraphWindow();
		//graph.getAxis().setScale(20, 20);
		graph.getDefaultGraphArea().setOriginCentered(true);
		graph.addDecoration(grid);
		
		setLayout(new BorderLayout());
		add(graph);
	}

	public GraphWindow getGraph()
	{
		return graph;
	}
	
	public Grid getGrid()
	{
		return grid;
	}

	//Testing purposes
    public static void main(String args[]) {
		final JFrame frame = new JFrame();
		final JPanel fa = new MainPanel();
		frame.getContentPane().add(fa);
		frame.setSize(600,600);
		frame.show();
		
		frame.addWindowListener( new WindowAdapter() {
			public void windowClosing(WindowEvent e){				
				System.exit(0);
			}			
		});
    }
}
