/* Copyright (c) 2004 The Concord Consortium, Inc., 
   10 Concord Crossing, Concord, MA 01741.

   This library is free software; you can redistribute it
   and/or modify it under the terms of the GNU Lesser General
   Public License as published by the Free Software 
   Foundation; version 2.1 of the License.

   This library is distributed in the hope that it will be
   useful, but WITHOUT ANY WARRANTY; without even the 
   implied warranty of MERCHANTABILITY or FITNESS FOR A 
   PARTICULAR PURPOSE. See the GNU Lesser General Public 
   License for more details.

   The GNU Lesser General Public License can be found at 
   http://opensource.org/licenses/lgpl-license.php; for a 
   paper copy, write to the Free Software Foundation, Inc., 
   59 Temple Place, Suite 330, Boston, MA 02111-1307 USA 
*/


/**
 * Last modification information:
 * $Revision: 1.1 $
 * $Date: 2004/05/24 20:55:23 $
 * $Author: imoncada $
 *
 * Copyright 
*/
package org.concord.graphfunction.engine;

import java.util.Vector;
import java.awt.Color;

/**
 * The renderer for the graphables in the table view
 * It allows to specify a foreground and background color
 * for EACH row separately.
 *
 * Date created: 04/07/2004
 *
 * @author Ingrid Moncada<p>
 *
*/
public class ColorFactory
{
	private Vector colorPalette;
	private int currentColor = 0;
	private int startColor = 0;
	
	public ColorFactory()
	{
		colorPalette = new Vector();
		
		colorPalette.addElement(new Color(255,0,0));	//RED
		colorPalette.addElement(new Color(0,220,0));	//GREEN
		colorPalette.addElement(new Color(255,200,0));	//YELLOW-ORANGE
		colorPalette.addElement(new Color(0,0,255));	//BLUE
		colorPalette.addElement(new Color(255,120,0));	//ORANGE
		colorPalette.addElement(new Color(255,0,255));	//MAGENTA
		colorPalette.addElement(new Color(57,183,255));	//LIGHT BLUE
		colorPalette.addElement(new Color(150,0,150));	//PURPLE
		colorPalette.addElement(new Color(255,133,133));//PINK
		colorPalette.addElement(new Color(0,184,124));	//Blue-Green
	}
	
	public Color getNextColor()
	{
		Color c =(Color)colorPalette.elementAt(currentColor);
		currentColor ++;
		if (currentColor>=colorPalette.size()){
			currentColor = startColor;
		}
		return c;
	}
	
	public void setNextColorIndex(int index)
	{
		if (index>=startColor && index<colorPalette.size()){
			currentColor = index;
		}
	}
	
	public void setStartColorIndex(int index)
	{
		if (index>=0 && index<colorPalette.size()){
			startColor = index;
			if (currentColor<startColor){
				currentColor = startColor;
			}
		}
	}
}
