/* Copyright (c) 2004 The Concord Consortium, Inc., 
   10 Concord Crossing, Concord, MA 01741.

   This library is free software; you can redistribute it
   and/or modify it under the terms of the GNU Lesser General
   Public License as published by the Free Software 
   Foundation; version 2.1 of the License.

   This library is distributed in the hope that it will be
   useful, but WITHOUT ANY WARRANTY; without even the 
   implied warranty of MERCHANTABILITY or FITNESS FOR A 
   PARTICULAR PURPOSE. See the GNU Lesser General Public 
   License for more details.

   The GNU Lesser General Public License can be found at 
   http://opensource.org/licenses/lgpl-license.php; for a 
   paper copy, write to the Free Software Foundation, Inc., 
   59 Temple Place, Suite 330, Boston, MA 02111-1307 USA 
*/


/**
 * @(#)DragMode.java
 * 
 * Last modification information:
 * $Revision: 1.1 $
 * $Date: 2004/05/24 20:55:23 $
 * $Author: imoncada $
 *
 * Copyright 
*/

package org.concord.graphfunction.engine;

/**
 * A simple class to keep track of the current drag mode. This
 * is little more than an Integer that can be registered with
 * certain Graphables.
 *
 * Date created: 04/07/2004
 *
 * @author Eric Brown-Munoz<p>
 *
 */


public class DragMode 
{

	private int value = 0;

  
	public static final int NONE = 0;
	
	//Old drag modes. Used for linear
	public static final int TRANSLATE = 1;
	public static final int DILATE = 2;
	public static final int DILATE_FIXED_VERTEX = 3;
	public static final int DILATE_FIXED_LOW_ROOT = 4;
	public static final int DILATE_FIXED_HIGH_ROOT = 5;
	public static final int MOVE_PUSHPIN = 6;

	//New drag modes, for f(x) notation
	public static final int TRANSLATE_X = 6; //Translate hor. f(x+a)
	public static final int TRANSLATE_Y = 7; //Translate vert.  f(x)+a
	public static final int DILATE_X = 8;	  //Dilate on x axis f(ax)
	public static final int DILATE_Y = 9;	  //Dilate on y axis af(x)
	public static final int REFLECT_X = 10;	  //Reflect on y axis f(-x)
	public static final int REFLECT_Y = 11;	  //Dilate on x axis -f(x)
	

	/** Constructs and initializes a new DragMode. */
	public DragMode(int value) {
		this.value = value;
	}

	/** Sets the value of the dragMode to value */
	public void setValue( int value) {
		this.value = value;
	}

	/** Returns the valud of the drag mode. */
	public int getValue() {
		return value;
	}

}
