/* Copyright (c) 2004 The Concord Consortium, Inc., 
   10 Concord Crossing, Concord, MA 01741.

   This library is free software; you can redistribute it
   and/or modify it under the terms of the GNU Lesser General
   Public License as published by the Free Software 
   Foundation; version 2.1 of the License.

   This library is distributed in the hope that it will be
   useful, but WITHOUT ANY WARRANTY; without even the 
   implied warranty of MERCHANTABILITY or FITNESS FOR A 
   PARTICULAR PURPOSE. See the GNU Lesser General Public 
   License for more details.

   The GNU Lesser General Public License can be found at 
   http://opensource.org/licenses/lgpl-license.php; for a 
   paper copy, write to the Free Software Foundation, Inc., 
   59 Temple Place, Suite 330, Boston, MA 02111-1307 USA 
*/


/**
 * @(#)LinearPiecewise.java
 * 
 * Last modification information:
 * $Revision: 1.3 $
 * $Date: 2004/07/16 20:44:16 $
 * $Author: ebrown-munoz $
 *
 * Copyright 
*/
package org.concord.graphfunction.engine;

/**
 *
 * Date created: 04/07/2004
 *
 * @author Eric Brown-Munoz<p>
 *
 */

public class LinearPiecewise extends Piecewise 
{
	public LinearPiecewise()
	{
		super();
		setFunctionName("Linear Piecewise");
	}
	
	public double getSlope() 
	{
		if (getCurrentSegmentSelected() == null) return Double.NaN;
		return ((LinearSegment)getCurrentSegmentSelected()).getSlope();
	}
	
	public double getYIntercept() 
	{
		if (getCurrentSegmentSelected() == null) return Double.NaN;
		return ((LinearSegment)getCurrentSegmentSelected()).getYIntercept();
	}
	
	public void setSlope(double slope) 
	{
		if (getCurrentSegmentSelected() == null) return;
		((LinearSegment)getCurrentSegmentSelected()).setSlope(slope);
	}
	
	public void setYIntercept(double intercept) 
	{
		if (getCurrentSegmentSelected() == null) return;
		((LinearSegment)getCurrentSegmentSelected()).setYIntercept(intercept);
	}

	/**
	 * Adds a segment to the linear piecewise.
	 * Validates that the segment is linear
	 */
	public void add(Segment newSegment) 
	{
		if (newSegment instanceof LinearSegment){
			super.add(newSegment);
		}
	}
}
