/* Copyright (c) 2004 The Concord Consortium, Inc., 
   10 Concord Crossing, Concord, MA 01741.

   This library is free software; you can redistribute it
   and/or modify it under the terms of the GNU Lesser General
   Public License as published by the Free Software 
   Foundation; version 2.1 of the License.

   This library is distributed in the hope that it will be
   useful, but WITHOUT ANY WARRANTY; without even the 
   implied warranty of MERCHANTABILITY or FITNESS FOR A 
   PARTICULAR PURPOSE. See the GNU Lesser General Public 
   License for more details.

   The GNU Lesser General Public License can be found at 
   http://opensource.org/licenses/lgpl-license.php; for a 
   paper copy, write to the Free Software Foundation, Inc., 
   59 Temple Place, Suite 330, Boston, MA 02111-1307 USA 
*/


/**
 * @(#)SnappingLinearFunctionPushpin.java
 * 
 * Last modification information:
 * $Revision: 1.2 $
 * $Date: 2004/07/20 20:54:52 $
 * $Author: ebrown-munoz $
 *
 * Copyright 
*/
package org.concord.graphfunction.engine;

import java.awt.*;
import java.awt.geom.*;

import org.concord.graph.engine.*;

/**
 * The class to manage a Linear Function with a pushpin that
 * snaps to the set slope and intercept intervals
 *
 * Date created: 04/07/2004
 *
 * @author Eric Brown-Munoz<p>
 *
 */

public class SnappingLinearFunctionPushpin 
	extends LinearFunctionPushpin
{

	public void setSlope(double slope) {
		double interval = getSlopeInterval();
		double snapSlope = Math.floor(slope * (1/ interval) + 0.5 ) / (1/interval);
		super.setSlope(snapSlope);
	}

	public Graphable getCopy() 
	{
		SnappingLinearFunctionPushpin retval = 
			new SnappingLinearFunctionPushpin();
		retval.slope = this.slope;
		retval.yIntercept = this.yIntercept;
		retval.setColor(this.getColor());
		retval.pushpinOn = this.pushpinOn;
		retval.showGhost = this.showGhost;
		//retval.ghost = this.ghost;
		retval.pushpin.xPosition = this.pushpin.xPosition;
		if (this.painter!=null){
			retval.painter = this.painter.getCopy();
		}
		return retval;
	}

}
