/* Copyright (c) 2004 The Concord Consortium, Inc., 
   10 Concord Crossing, Concord, MA 01741.

   This library is free software; you can redistribute it
   and/or modify it under the terms of the GNU Lesser General
   Public License as published by the Free Software 
   Foundation; version 2.1 of the License.

   This library is distributed in the hope that it will be
   useful, but WITHOUT ANY WARRANTY; without even the 
   implied warranty of MERCHANTABILITY or FITNESS FOR A 
   PARTICULAR PURPOSE. See the GNU Lesser General Public 
   License for more details.

   The GNU Lesser General Public License can be found at 
   http://opensource.org/licenses/lgpl-license.php; for a 
   paper copy, write to the Free Software Foundation, Inc., 
   59 Temple Place, Suite 330, Boston, MA 02111-1307 USA 
*/


/* Author Eric Brown-Munoz
   $Revision: 1.1 $
*/
package org.concord.graphfunction.event;

import java.util.*;

public class DataSetEvent extends EventObject 
{
	public static int INSERT = 1;
	public static int DELETE = 2;
	public static int UPDATE = 3;

	int firstRow;
	int lastRow;
	int type;

    /** Constructs and initializes a DataSetEvent */
    public DataSetEvent (Object source, int row, int type) {
		super(source);
		firstRow = row;
		this.lastRow = row;
		this.type = type;
    }
    /** Constructs and initializes a DataSetEvent */
    public DataSetEvent (Object source, int firstRow, int lastRow, int type) {
		super(source);
		this.firstRow = firstRow;
		this.lastRow = lastRow;
		this.type = type;
    }

	public int getFirstRow () {
		return firstRow;
	}	

	public int getLastRow () {
		return lastRow;
	}

	public int getType() {
		return type;
	}

}
