/* Copyright (c) 2004 The Concord Consortium, Inc., 
   10 Concord Crossing, Concord, MA 01741.

   This library is free software; you can redistribute it
   and/or modify it under the terms of the GNU Lesser General
   Public License as published by the Free Software 
   Foundation; version 2.1 of the License.

   This library is distributed in the hope that it will be
   useful, but WITHOUT ANY WARRANTY; without even the 
   implied warranty of MERCHANTABILITY or FITNESS FOR A 
   PARTICULAR PURPOSE. See the GNU Lesser General Public 
   License for more details.

   The GNU Lesser General Public License can be found at 
   http://opensource.org/licenses/lgpl-license.php; for a 
   paper copy, write to the Free Software Foundation, Inc., 
   59 Temple Place, Suite 330, Boston, MA 02111-1307 USA 
*/


/**
 * Last modification information:
 * $Revision: 1.3 $
 * $Date: 2004/07/28 18:48:11 $
 * $Author: ebrown-munoz $
 *
 * Copyright 2004 The Concord Consortium
*/
package org.concord.graphfunction.event;

/**
 * Default implementation of a function (GraphFunction)
 *
 * Date created: 04/07/2004
 *
 * @author Eric Brown-Munoz<p>
 * @author Ingrid C Moncada<p>
 *
 */

import org.concord.graphfunction.engine.*;

public class PiecewiseEvent extends GraphFunctionEvent 
{
	public static final int PIECEWISE_SEGMENT_ADDED = 1;
	public static final int PIECEWISE_SEGMENT_REMOVED = 2;
	public static final int PIECEWISE_SEGMENT_SELECTED = 3;
	public static final int PIECEWISE_SEGMENT_DESELECTED = 4;
	public static final int PIECEWISE_ALL_SEGMENTS_REMOVED = 5;
	
	private int id;
	private Segment segment;
	
	public PiecewiseEvent(Object source, Segment segment, boolean functionChanged)
	{
		this(source, segment, 0, functionChanged);
	}

	public PiecewiseEvent(Object source, Segment segment, int id, boolean functionChanged)
	{
		super(source, functionChanged);
		this.segment = segment;
		this.id = id;
	}
	
	public int getId()
	{
		return id;
	}
	
	public Segment getSegment()
	{
		return segment;
	}
}
