/* Copyright (c) 2004 The Concord Consortium, Inc., 
   10 Concord Crossing, Concord, MA 01741.

   This library is free software; you can redistribute it
   and/or modify it under the terms of the GNU Lesser General
   Public License as published by the Free Software 
   Foundation; version 2.1 of the License.

   This library is distributed in the hope that it will be
   useful, but WITHOUT ANY WARRANTY; without even the 
   implied warranty of MERCHANTABILITY or FITNESS FOR A 
   PARTICULAR PURPOSE. See the GNU Lesser General Public 
   License for more details.

   The GNU Lesser General Public License can be found at 
   http://opensource.org/licenses/lgpl-license.php; for a 
   paper copy, write to the Free Software Foundation, Inc., 
   59 Temple Place, Suite 330, Boston, MA 02111-1307 USA 
*/


/**
 * Last modification information:
 * $Revision: 1.1 $
 * $Date: 2004/05/24 20:55:23 $
 * $Author: imoncada $
 *
 * Copyright 2004 The Concord Consortium
*/
package org.concord.graphfunction.ui;

import java.awt.*;
import java.awt.event.*;
import java.awt.geom.*;

import javax.swing.*;

/** 
 * @author Eric Brown-Munoz<p>
 */

public class Bracket extends JPanel 
{
	protected GeneralPath bracketCurve;
	BasicStroke stroke = new BasicStroke(2.0f, BasicStroke.CAP_ROUND,
					 BasicStroke.JOIN_MITER);
	AffineTransform transform = new AffineTransform();
	
	
	public Bracket() 
	{
		bracketCurve = new GeneralPath();
		
		bracketCurve.moveTo(10.0f, 0.0f);
		bracketCurve.quadTo(0.0f, 10.0f, 5.0f, 40.0f);
		bracketCurve.lineTo(0.0f, 50.0f);
		bracketCurve.lineTo(5.0f, 60.0f);
		bracketCurve.quadTo(0.0f ,90.0f , 10.0f, 100.f);
		
		addComponentListener (new ComponentAdapter() {
			public void componentResized(ComponentEvent e) {
				setTransform();
			}
		});	
	}
	
	public void setTransform() 
	{
		transform.setToTranslation(3.0f, 3.0f);
		double width = getWidth() - 6.0;
		double height = getHeight() - 5.0;
		
		transform.scale (width/10, height/100);
	}
	
	public void paintComponent(Graphics g) 
	{
		super.paintComponent(g);
		Graphics2D g2 = (Graphics2D)g;
		g2.setRenderingHint(RenderingHints.KEY_ANTIALIASING,
					RenderingHints.VALUE_ANTIALIAS_ON);
		
		g2.setStroke(stroke);
		
		g2.draw(bracketCurve.createTransformedShape(transform));
	}
	
	public static void main(String args[]) {
		JFrame frame = new JFrame();
		Bracket fa = new Bracket();
		frame.getContentPane().add(fa);
		frame.setSize(30,140);
		frame.show();
		
		frame.addWindowListener( new WindowAdapter() 
		{
			public void windowClosing(WindowEvent e)
			{
				System.exit(0);
			}			
		});
	}
}
