/* Copyright (c) 2004 The Concord Consortium, Inc., 
   10 Concord Crossing, Concord, MA 01741.

   This library is free software; you can redistribute it
   and/or modify it under the terms of the GNU Lesser General
   Public License as published by the Free Software 
   Foundation; version 2.1 of the License.

   This library is distributed in the hope that it will be
   useful, but WITHOUT ANY WARRANTY; without even the 
   implied warranty of MERCHANTABILITY or FITNESS FOR A 
   PARTICULAR PURPOSE. See the GNU Lesser General Public 
   License for more details.

   The GNU Lesser General Public License can be found at 
   http://opensource.org/licenses/lgpl-license.php; for a 
   paper copy, write to the Free Software Foundation, Inc., 
   59 Temple Place, Suite 330, Boston, MA 02111-1307 USA 
*/


/* Author: Eric Brown
   $Revision: 1.1 $
*/

package org.concord.graphfunction.ui;

import java.awt.*;
import java.util.EventObject;
import javax.swing.*;
import java.awt.event.*;
import org.concord.graph.engine.*;
import org.concord.graph.event.*;
import org.concord.graphfunction.ui.symbolicview.*;
import org.concord.graphfunction.engine.*;
import org.concord.graphfunction.ui.*;
import org.concord.graphfunction.event.*;

public class TabbedLinearListInput 
	extends JTabbedPane
	implements GraphFunctionView,
			   SelectableListListener
{

	GraphFunctionList glist = null; // The Graphable list this manages
	LinearPointSlopeInput pointslope;
	LinearSlopeInterceptInput slopeintercept;

	public TabbedLinearListInput () {
		pointslope = new LinearPointSlopeInput();
		slopeintercept = new LinearSlopeInterceptInput();
		this.addTab("Slope-Intercept", slopeintercept);
		this.addTab("Point-Slope", pointslope);

	}

	public TabbedLinearListInput( GraphFunctionList list ) {
		this();
		this.glist = list;
	}

	
	public void setGraphFunction ( GraphFunction f) {
		pointslope.setGraphFunction(f);
		slopeintercept.setGraphFunction(f);
	}

	public void setGraphableList ( GraphFunctionList list) {

		GraphFunction gf;

		if (list != glist) {
			if (glist != null) glist.removeGraphableListListener(this);

			this.glist = list;
			list.addGraphableListListener(this);

			gf = (GraphFunction)glist.getFirstSelectedObject();
			setGraphFunction(gf);
		}

		
	}


	public void listGraphableSelected(EventObject e) {
		GraphFunction gf = (GraphFunction)e.getSource();
		setGraphFunction(gf);
	}
	
	public void listGraphableDeselected(EventObject e) {}
	
	public void listGraphableChanged (EventObject e) {}

	public void listGraphableAdded (EventObject e) {
		// FIXME (check if this is really selected
		GraphFunction gf = (GraphFunction)e.getSource();
		setGraphFunction(gf);
	}

	public void listGraphableRemoved (EventObject e) {}

}
