/* Copyright (c) 2004 The Concord Consortium, Inc., 
   10 Concord Crossing, Concord, MA 01741.

   This library is free software; you can redistribute it
   and/or modify it under the terms of the GNU Lesser General
   Public License as published by the Free Software 
   Foundation; version 2.1 of the License.

   This library is distributed in the hope that it will be
   useful, but WITHOUT ANY WARRANTY; without even the 
   implied warranty of MERCHANTABILITY or FITNESS FOR A 
   PARTICULAR PURPOSE. See the GNU Lesser General Public 
   License for more details.

   The GNU Lesser General Public License can be found at 
   http://opensource.org/licenses/lgpl-license.php; for a 
   paper copy, write to the Free Software Foundation, Inc., 
   59 Temple Place, Suite 330, Boston, MA 02111-1307 USA 
*/


/**
 * Last modification information:
 * $Revision: 1.4 $
 * $Date: 2004/07/14 22:38:53 $
 * $Author: ebrown-munoz $
 *
 * Copyright 2004 The Concord Consortium
*/
package org.concord.graphfunction.ui.symbolicview;

import java.awt.*;

import javax.swing.*;

import org.concord.graphfunction.engine.*;
import org.concord.graphfunction.ui.*;

/**
 * @author Eric Brown-Munoz<p>
 * @author Ingrid Moncada<p>
*/

public class LinearSlopeInterceptInput extends FunctionInput 
{
    public LinearSlopeInterceptInput() 
	{
		super();
    }

    public LinearSlopeInterceptInput(boolean b) 
	{
		super(b);
    }

    public LinearSlopeInterceptInput(LinearFunction subject) 
	{
		super(subject);
    }

/*
    public void setGraphFunction(GraphFunction subject) 
	//Only checks if the function is linear
	{
		//Checking if the function is linear
		if (subject!=null){
			if(!(subject instanceof LinearFunction)) return;
		}
		
		super.setGraphFunction(subject);
	}
*/

	protected void setupSymbolic() 
	{
		removeAllBoxes();
	
		ValueBox valueBox;

		//addLabel( "y  =  ");
		addLabel(new JLabel(ResourceLoader.getImageIcon("y")));
		addLabel("  =  ");
	
		valueBox = new SlopeBox();
		valueBox.setFont(labelsFont);		
		addValueBox(valueBox);
		//By default the first coefficient is selected
		setSelected(valueBox);

		//addLabel( " x ");
		addLabel(new JLabel(ResourceLoader.getImageIcon("x")));
		
		addLabel("    +  ");
	
		valueBox = new YInterceptBox();
		valueBox.setFont(labelsFont);		
		addValueBox(valueBox);
    }
	
	public void adjustPreferredSize()
	{
		if (!editable){
			setPreferredSize(new Dimension(250,25));
//			setPreferredSize(new Dimension(this.getPreferredSize().width,25));
		}
		else{
			setPreferredSize(new Dimension(250,40));
//			setPreferredSize(new Dimension(this.getPreferredSize().width,40));
		}
	}	
}

class SlopeBox extends ValueBox 
{

	SlopeBox() {
		super();
		setNumDecimalsValue(2);
		setIncrementInterval(.01);
	}

	//The source is a LinearFunction
	protected void setValue(double value)
	{
		if (source instanceof LinearFunction){
			((LinearFunction)source).setSlope(value);
		}
		else if (source instanceof LinearEquation){
			((LinearEquation)source).setSlope(value);
		}
	}
	
	public double getValue()
	{
		if (source instanceof LinearFunction){
			return ((LinearFunction)source).getSlope();
		}
		else if (source instanceof LinearEquation){
			return ((LinearEquation)source).getSlope();
		}
		return Double.NaN;
	}
}

class YInterceptBox extends ValueBox 
{
	protected void setValue(double value)
	{
		if (source instanceof LinearFunction){
			((LinearFunction)source).setYIntercept(value);
		}
		else if (source instanceof LinearEquation){
			((LinearEquation)source).setYIntercept(value);
		}
	}
	
	public double getValue()
	{
		if (source instanceof LinearFunction){
			return ((LinearFunction)source).getYIntercept();
		}
		else if (source instanceof LinearEquation){
			return ((LinearEquation)source).getYIntercept();
		}
		return Double.NaN;
	}
}
