/* Copyright (c) 2004 The Concord Consortium, Inc., 
   10 Concord Crossing, Concord, MA 01741.

   This library is free software; you can redistribute it
   and/or modify it under the terms of the GNU Lesser General
   Public License as published by the Free Software 
   Foundation; version 2.1 of the License.

   This library is distributed in the hope that it will be
   useful, but WITHOUT ANY WARRANTY; without even the 
   implied warranty of MERCHANTABILITY or FITNESS FOR A 
   PARTICULAR PURPOSE. See the GNU Lesser General Public 
   License for more details.

   The GNU Lesser General Public License can be found at 
   http://opensource.org/licenses/lgpl-license.php; for a 
   paper copy, write to the Free Software Foundation, Inc., 
   59 Temple Place, Suite 330, Boston, MA 02111-1307 USA 
*/


/**
 * Last modification information:
 * $Revision: 1.2 $
 * $Date: 2004/05/24 21:56:14 $
 * $Author: imoncada $
 *
 * Copyright 2004 The Concord Consortium
*/
package org.concord.graphfunction.ui.symbolicview;

import org.concord.graphfunction.engine.*;

/**
 * A Panel that displays the symbolic representation of a 
 * Transformed quadratic function
 * using 3 forms (polynomial, vertex, root) 
 *
 * Date created: 04/07/2004
 *
 * @author Ingrid Moncada<p>
 *
 */

public class TransformedQuadraticSymbolic extends FunctionSymbolic
{
	public TransformedQuadraticSymbolic()
	{
		this(true);
	}
	
	public TransformedQuadraticSymbolic(boolean editable)
	{
		super(editable);
		
		//Polynomial form
		addFunctionInput(QuadraticFunction.FORM_POLYNOM, new TransformedQuadraticPolynomialInput(),"Polynomial Form");
		
		//Vertex form
		addFunctionInput(QuadraticFunction.FORM_VERTEX, new TransformedQuadraticVertexFormInput(),"Vertex Form");

		//Root form
		addFunctionInput(QuadraticFunction.FORM_ROOT, new TransformedQuadraticRootFormInput(),"Root Form");
	}
}
