/* Copyright (c) 2004 The Concord Consortium, Inc., 
   10 Concord Crossing, Concord, MA 01741.

   This library is free software; you can redistribute it
   and/or modify it under the terms of the GNU Lesser General
   Public License as published by the Free Software 
   Foundation; version 2.1 of the License.

   This library is distributed in the hope that it will be
   useful, but WITHOUT ANY WARRANTY; without even the 
   implied warranty of MERCHANTABILITY or FITNESS FOR A 
   PARTICULAR PURPOSE. See the GNU Lesser General Public 
   License for more details.

   The GNU Lesser General Public License can be found at 
   http://opensource.org/licenses/lgpl-license.php; for a 
   paper copy, write to the Free Software Foundation, Inc., 
   59 Temple Place, Suite 330, Boston, MA 02111-1307 USA 
*/


package org.concord.graphfunction.engine;

import org.concord.graphfunction.engine.LinearSegment;
import org.concord.graphfunction.engine.SegmentDomain;

import junit.framework.*;

public class LinearSegmentTest extends TestCase {

	public static void main(String args[]) {
		junit.textui.TestRunner.run(LinearSegmentTest.class);
	}

	public void testGetDomain() {
		LinearSegment p_ls = new LinearSegment((double)1,(double)0,(double)0,true,(double)5,true);
        SegmentDomain p_sd = new SegmentDomain(0,5);
		assertEquals (p_sd.getEnd(), p_ls.getDomain().getEnd(),(double)0.0001);
		assertEquals (p_sd.getStart(), p_ls.getDomain().getStart(),(double)0.0001);
	}
	public void testYval() {
    // Tests yval() to ensure it returns false if out of Domain, 5->47
		LinearSegment p_ls = new LinearSegment((double)1,(double)0,(double)5,true,(double)47.00000001,true);
    //Make sure asserTrue statement works
		assertFalse(Double.isNaN(p_ls.yval(46)));
    //Try Small Decimals, making sure 47.0000001 (6 zeros) does not return between 5 and 47.00000001 (7 zeros)
		assertTrue(Double.isNaN(p_ls.yval(47.0000001)));
	}

}
