/* Copyright (c) 2004 The Concord Consortium, Inc., 
   10 Concord Crossing, Concord, MA 01741.

   This library is free software; you can redistribute it
   and/or modify it under the terms of the GNU Lesser General
   Public License as published by the Free Software 
   Foundation; version 2.1 of the License.

   This library is distributed in the hope that it will be
   useful, but WITHOUT ANY WARRANTY; without even the 
   implied warranty of MERCHANTABILITY or FITNESS FOR A 
   PARTICULAR PURPOSE. See the GNU Lesser General Public 
   License for more details.

   The GNU Lesser General Public License can be found at 
   http://opensource.org/licenses/lgpl-license.php; for a 
   paper copy, write to the Free Software Foundation, Inc., 
   59 Temple Place, Suite 330, Boston, MA 02111-1307 USA 
*/


package org.concord.graphfunction.engine;

import org.concord.graphfunction.engine.LinearSegment;
import org.concord.graphfunction.engine.Piecewise;

import junit.framework.*;

public class PiecewiseTest extends TestCase {

	public static void main(String args[]) {
		junit.textui.TestRunner.run(PiecewiseTest.class);
	}
// Test to see if Piecewise function triggers with very small decimal differences
	public void testOverlap() {
		Piecewise p_piecewise = new Piecewise();
        p_piecewise.add (new LinearSegment(1.0,0.0,0.0,false,10.08,true));
        p_piecewise.add (new LinearSegment(1.0,4.0,10.02,false,20.0,true));
        assertFalse ("Should be False for 0->10.08 overlaps 10.02->20", p_piecewise.checkFunction(10.05,false));
	}
	public void testInfiniteOverlap() {
		Piecewise p_piecewise = new Piecewise();
        //add segment with domain of 10->20
        p_piecewise.add (new LinearSegment((double)1,(double)0,(double)0,false,Double.POSITIVE_INFINITY,true));
        //add segment with domain of 10->20
        p_piecewise.add (new LinearSegment((double)1,(double)0,(double)0,false,Double.POSITIVE_INFINITY,true));
//        p_piecewise.dManager.resetBad();      
  //Value p_value = new Value((double)15);
        assertFalse ("Should be False for 0->infinity overlaps 0->infinity", p_piecewise.checkFunction(10.015,false));
	}
}
