/* Copyright (c) 2004 The Concord Consortium, Inc., 
   10 Concord Crossing, Concord, MA 01741.

   This library is free software; you can redistribute it
   and/or modify it under the terms of the GNU Lesser General
   Public License as published by the Free Software 
   Foundation; version 2.1 of the License.

   This library is distributed in the hope that it will be
   useful, but WITHOUT ANY WARRANTY; without even the 
   implied warranty of MERCHANTABILITY or FITNESS FOR A 
   PARTICULAR PURPOSE. See the GNU Lesser General Public 
   License for more details.

   The GNU Lesser General Public License can be found at 
   http://opensource.org/licenses/lgpl-license.php; for a 
   paper copy, write to the Free Software Foundation, Inc., 
   59 Temple Place, Suite 330, Boston, MA 02111-1307 USA 
*/


package org.concord.graphfunction.engine;

import org.concord.graphfunction.engine.Domain;
import org.concord.graphfunction.engine.SegmentDomain;

import junit.framework.*;

public class SegmentDomainTest extends TestCase {

	public static void main(String args[]) {
		junit.textui.TestRunner.run(SegmentDomainTest.class);
	}
        
    // Make sure getIntersection() method of Domain class works
	public void testGetIntersection() {
        //add domain of 0->10.02
		SegmentDomain p_sd1 = new SegmentDomain(0,10.2);
        //add domain of 10.01->20
		SegmentDomain p_sd2 = new SegmentDomain(10.1,20);
        Domain p_intersected = p_sd1.getIntersection((SegmentDomain)p_sd2);
        SegmentDomain p_expected = new SegmentDomain(10.1,10.2);
        assertTrue (p_sd1.getIntersection(p_sd2).getStart() != 0);
      //  assertEquals (p_expected.getStart(), p_intersected.getStart(), 0.000001);
       // assertEquals (p_expected.getEnd(), p_intersected.getEnd(), 0.00001);
	}
    // Make sure isInside() method of Domain class works
	public void testIsInside() {
		SegmentDomain p_sd1 = new SegmentDomain(0,10.01);
        assertTrue (p_sd1.isInside(10.001));
        assertFalse (p_sd1.isInside(10.1));
	}
}
