/* Copyright (c) 2004 The Concord Consortium, Inc., 
   10 Concord Crossing, Concord, MA 01741.

   This library is free software; you can redistribute it
   and/or modify it under the terms of the GNU Lesser General
   Public License as published by the Free Software 
   Foundation; version 2.1 of the License.

   This library is distributed in the hope that it will be
   useful, but WITHOUT ANY WARRANTY; without even the 
   implied warranty of MERCHANTABILITY or FITNESS FOR A 
   PARTICULAR PURPOSE. See the GNU Lesser General Public 
   License for more details.

   The GNU Lesser General Public License can be found at 
   http://opensource.org/licenses/lgpl-license.php; for a 
   paper copy, write to the Free Software Foundation, Inc., 
   59 Temple Place, Suite 330, Boston, MA 02111-1307 USA 
*/


package org.concord.graphfunction.ui;

import org.concord.graphfunction.ui.*;
import org.concord.graphfunction.engine.Value;

import junit.framework.*;

public class TenthsValueSliderTest extends TestCase {
                                                                                
        public static void main(String args[]) {
                junit.textui.TestRunner.run(TenthsValueSliderTest.class);
        }
                                                                                
        public void testTenthsValueSlider() {
            //Default scale = 1 & offset = 0
            ValueSlider p_vs = new ValueSlider ( new Value (10.0));
            assertEquals(100, p_vs.getMaximum());
            assertEquals ((double)1, (double)p_vs.getScale(), 0.000001);
            //offset = 0, scale = 1, min = 0, max = 100
            p_vs.setValue (35.0);
            assertEquals (35, p_vs.getValue());

            
        }
    
        public void testSetWorldRange() {
            //Default scale = 1 & offset = 0
            TenthsValueSlider p_vs = new TenthsValueSlider ( new Value (10.0));
            assertEquals(100, p_vs.getMaximum());
            assertEquals(0, p_vs.getMinimum());
            //offset = 0, scale = 1, min = 0, max = 100
            //what if max is smaller than min?
            p_vs.setWorldRange (100, 50);
            //offset should = 100, scale is 50->100 = -0.5
            assertEquals (0.1, p_vs.getScale(), 0.0001);
            assertEquals (0.0, p_vs.getOffset(), 0.0001);

            p_vs.setValue (80);

            //getValue should return (int) (80 - 100) / -0.5 = 40
            assertEquals ("this shouldn't fail", 800, p_vs.getValue());   
        }
}
