/* Copyright (c) 2004 The Concord Consortium, Inc., 
   10 Concord Crossing, Concord, MA 01741.

   This library is free software; you can redistribute it
   and/or modify it under the terms of the GNU Lesser General
   Public License as published by the Free Software 
   Foundation; version 2.1 of the License.

   This library is distributed in the hope that it will be
   useful, but WITHOUT ANY WARRANTY; without even the 
   implied warranty of MERCHANTABILITY or FITNESS FOR A 
   PARTICULAR PURPOSE. See the GNU Lesser General Public 
   License for more details.

   The GNU Lesser General Public License can be found at 
   http://opensource.org/licenses/lgpl-license.php; for a 
   paper copy, write to the Free Software Foundation, Inc., 
   59 Temple Place, Suite 330, Boston, MA 02111-1307 USA 
*/


/*
 * Created on Sep 7, 2004
 *
 * TODO To change the template for this generated file go to
 * Window - Preferences - Java - Code Style - Code Templates
 */
package org.concord.rttapplets.datafitter;

import java.io.File;
import java.net.URI;
import java.net.URL;

import javax.xml.parsers.DocumentBuilder;
import javax.xml.parsers.DocumentBuilderFactory;

import org.w3c.dom.Document;
import org.w3c.dom.Node;
import org.w3c.dom.NodeList;
import org.xml.sax.SAXParseException;
import org.xml.sax.helpers.DefaultHandler;

/**
 * @author ebrownmunoz
 *
 * TODO To change the template for this generated type comment go to
 * Window - Preferences - Java - Code Style - Code Templates
 */
public class DataFromXML {
	
	public static Document read(String filename) {
		Document document = null;
		DocumentBuilderFactory factory = DocumentBuilderFactory.newInstance();
		URL urlobject;
		File file;
		String filestring;
		
		try {
			
			urlobject = DataFromXML.class.getResource(filename);
			filestring = urlobject.toString();
		
			file = new File(new URI(filestring));
			
			factory.setValidating(true);
			DocumentBuilder builder = factory.newDocumentBuilder();
			builder.setErrorHandler(new ParseErrorHandler());
			
			document = builder.parse( file );
		} catch (Exception parseException ) {
			System.err.println("Parse Exception " + parseException);
		}
		return document;
	}
	
	public static void parseNode (Node aNode) {
		NodeList nlist = aNode.getChildNodes();
		int length = nlist.getLength();
		
		for (int i = 0 ; i < length; i++) {
			Node tNode = nlist.item(i);
			System.out.println(tNode.getNodeName());
			if (tNode.getNodeName().equals("datafile")) {
				parseNode(tNode);
			} else if (tNode.getNodeName().equals("dataset")) {
				parseNode(tNode);
			} else if (tNode.getNodeName().equals("datapoint")) {
				parseDataPoint(tNode);
			}
		}
	}

	public static void parseDataPoint (Node aNode) {
		NodeList nlist = aNode.getChildNodes();
		int length = nlist.getLength();
		double xval = Double.NaN;
		double yval = Double.NaN;
		
		for (int i = 0 ; i < length; i++) {
			Node tNode = nlist.item(i);
			System.out.println(tNode.getNodeName());
			if (tNode.getNodeName().equals("xval")) {
				Node firstChild = tNode.getFirstChild();
				if (firstChild != null )
					xval= Double.parseDouble(firstChild.getNodeValue());

			} else if (tNode.getNodeName().equals("yval")) {
				Node firstChild = tNode.getFirstChild();
				if (firstChild != null )
					yval= Double.parseDouble(firstChild.getNodeValue());
			}
		}
		System.out.println("Generating point x=" + xval + " y= " +yval);
	}
	
	public static void main(String [] args) {
		Document mydoc = read("data/data.xml");
		System.out.println("Document " + mydoc);
		parseNode(mydoc);
		
	}
}

class ParseErrorHandler extends DefaultHandler {
	public void error(SAXParseException spe){
		System.err.println("error:" + spe.getMessage());
		System.err.println("error:" + spe.getPublicId());
		
	}
	
	public void fatalError(SAXParseException spe){
		System.err.println("error:" + spe.getMessage());
		System.err.println("error:" + spe.getPublicId());
		
	}
}

