/* Copyright (c) 2004 The Concord Consortium, Inc., 
   10 Concord Crossing, Concord, MA 01741.

   This library is free software; you can redistribute it
   and/or modify it under the terms of the GNU Lesser General
   Public License as published by the Free Software 
   Foundation; version 2.1 of the License.

   This library is distributed in the hope that it will be
   useful, but WITHOUT ANY WARRANTY; without even the 
   implied warranty of MERCHANTABILITY or FITNESS FOR A 
   PARTICULAR PURPOSE. See the GNU Lesser General Public 
   License for more details.

   The GNU Lesser General Public License can be found at 
   http://opensource.org/licenses/lgpl-license.php; for a 
   paper copy, write to the Free Software Foundation, Inc., 
   59 Temple Place, Suite 330, Boston, MA 02111-1307 USA 
*/


/* Author: Eric Brown-Munoz
   $Revision: 1.1 $
*/


package org.concord.rttapplets.fanalyzer;

import java.awt.*;
import javax.swing.*;
import java.util.Hashtable;

import org.concord.graph.engine.*;
import org.concord.graphfunction.ui.*;
import org.concord.graphfunction.engine.*;
import org.concord.graphfunction.event.*;

public class DisplaySlider 
	extends JPanel
	implements ValueListener
{

	TenthsValueSlider slider;
	Value variable;
	JLabel displayPanel;

	public DisplaySlider (GraphArea ga, Value variable) {

		// Create tables of labels for canned numbers (FIXME)
		Hashtable labelTable = new Hashtable();

		this.variable = variable;
		variable.addValueListener(this);

		setLayout(new BoxLayout(this, BoxLayout.X_AXIS));

		displayPanel = new JLabel("Value of X: ");
		displayPanel.setPreferredSize(new Dimension(150,50));
		add(displayPanel);

		slider = new TenthsValueSlider(variable);
		slider.sync(ga);
		// slider.setIntervalLabels(true);
		add(slider);

		// --- set up labels (every 2.0 world units from -4.0 to 11.0)
		// FIXME (automate)
		String iString;
		for (int i = -40 ; i <= 100 ; i = i + 20) {
			iString = Integer.toString(i / 10);
			labelTable.put( new Integer( i ), new JLabel(iString) );
		}

		slider.setLabelTable( labelTable );
		slider.setPaintLabels(true);

		reset();
	}

	void reset() {
		double value = Math.floor(variable.getValue() * 10.0 + 0.5) / 10.0;
		displayPanel.setText("Value of X: " + value);
	}

	public void valueChanged(ValueEvent e) {
		reset();
	}
}
		
