/* Copyright (c) 2004 The Concord Consortium, Inc., 
   10 Concord Crossing, Concord, MA 01741.

   This library is free software; you can redistribute it
   and/or modify it under the terms of the GNU Lesser General
   Public License as published by the Free Software 
   Foundation; version 2.1 of the License.

   This library is distributed in the hope that it will be
   useful, but WITHOUT ANY WARRANTY; without even the 
   implied warranty of MERCHANTABILITY or FITNESS FOR A 
   PARTICULAR PURPOSE. See the GNU Lesser General Public 
   License for more details.

   The GNU Lesser General Public License can be found at 
   http://opensource.org/licenses/lgpl-license.php; for a 
   paper copy, write to the Free Software Foundation, Inc., 
   59 Temple Place, Suite 330, Boston, MA 02111-1307 USA 
*/


/* Author: Eric Brown-Munoz
   $Revision: 1.3 $
*/

package org.concord.rttapplets.fanalyzer;

import java.awt.*;
import java.util.*;
import javax.swing.*;
import org.concord.graph.engine.*;
import org.concord.graph.event.*;
import org.concord.graphfunction.engine.*;

public class ZeroSlopeDialog 
	implements GraphableListListener
{

	GraphableList glist;
	JComponent component;

	public ZeroSlopeDialog (JComponent component, GraphableList glist) {
		this.glist = glist;
		this.component = component;

		glist.addGraphableListListener(this);
	}

	public void listGraphableChanged(EventObject e) {
		Object obj = e.getSource();

		if (obj instanceof LinearEquation) {
			LinearEquation le = (LinearEquation)obj;
			if (le.getSlope() == 0.0) {

				StringBuffer message = new StringBuffer("<html>");
				message.append("<h>Zero Slope</h><br><br>");
				message.append("You just set the coefficient of <i>x</i> to zero. Because<br>");
				message.append("the function now has a slope of zero, all points on<br>");
				message.append("the function must now have the same value of y-- the<br>");
				message.append("same as the y-intercept. And because the equation can<br>");
				message.append("only be valid if both sides of the equation are equal, the<br>");
				message.append("value of the equation will automatically be set equal to<br>");
				message.append("the y-intercept of the function.<br><br>");

				message.append("You will be unable to change the value of the equation<br>");
				message.append("directly until you change the slope of the function.  Also<br>");
				message.append("until you change the slope of the function, the Function<br>");
				message.append("Analyzer will automatically change the value of the<br>");
				message.append("equation to synchronize with any changes you make to the<br>");
				message.append("y-intercept.<br><br>");

				message.append("Note: The Function Analyzer will not display this message<br>");
				message.append("again.");


				JOptionPane.showMessageDialog(component, message.toString(),
											  "Zero Slope",
											  JOptionPane.WARNING_MESSAGE);
				glist.removeGraphableListListener(this);
			}
		}
	}
	

	public void listGraphableRemoved(EventObject e) {}

	public void listGraphableAdded(EventObject e) {}

}
