/* Copyright (c) 2004 The Concord Consortium, Inc., 
   10 Concord Crossing, Concord, MA 01741.

   This library is free software; you can redistribute it
   and/or modify it under the terms of the GNU Lesser General
   Public License as published by the Free Software 
   Foundation; version 2.1 of the License.

   This library is distributed in the hope that it will be
   useful, but WITHOUT ANY WARRANTY; without even the 
   implied warranty of MERCHANTABILITY or FITNESS FOR A 
   PARTICULAR PURPOSE. See the GNU Lesser General Public 
   License for more details.

   The GNU Lesser General Public License can be found at 
   http://opensource.org/licenses/lgpl-license.php; for a 
   paper copy, write to the Free Software Foundation, Inc., 
   59 Temple Place, Suite 330, Boston, MA 02111-1307 USA 
*/


/**
 * Last modification information:
 * $Revision: 1.2 $
 * $Date: 2004/07/14 17:44:43 $
 * $Author: ebrown-munoz $
 *
 * Copyright 2004 The Concord Consortium
*/
package org.concord.rttapplets.savestate;

import java.net.*;

/**
 * 
 * @author Ingrid Moncada<p>
*/
public class AppProperties
{
	private static String defaultScriptsURL = "http://internal.rtt.concord.org/development/cgi-bin";
	private static String scriptsURL=null;

	public static final String SCRIPT_URL_getCohortList = "cohortlist.pl";//"testado_local.asp";
	public static final String SCRIPT_URL_saveStateAsImage = "saveStateAsImage.pl";
	public static final String SCRIPT_URL_getImage = "getimages.pl";//"getimages.php";
	
	public static String getScriptsUrl()
	{
		if (scriptsURL==null) return defaultScriptsURL;
		return scriptsURL;
	
	}
	
	public static void setScriptsURL(String url)
	{
		//Only for a valid connection!
		if (DataServer.testUrlConnection(url)){
			// System.out.println("Setting scripts url to:"+url);
			scriptsURL = url;
		}
	}
	
	public static void setScriptsURL(Class c)
	{
		String strPath;
		strPath = c.getName();
		strPath = "/" + strPath.replace('.','/') + ".class";
		strPath = getPathFromJarURL(c.getResource(strPath));
		if (!strPath.equals("")){
			setScriptsURL(strPath + "/cgi-bin");
		}
	}

	private static String getPathFromJarURL(URL u)
	{
		String strPath;
		
		URL url;
		try{
			strPath = u.getHost() + u.getPath();
			url = new URL(strPath);
		}catch(Throwable e){
			e.printStackTrace();
			return "";
		}
		
		if (!url.getProtocol().equals("http")){
			return "";
		}
		
		strPath = url.getHost() + url.getPath();
		strPath = strPath.substring(0,strPath.indexOf("!"));
		strPath = strPath.substring(0,strPath.lastIndexOf("/"));
		strPath = "http://"+strPath;
		return strPath;
	}
}
