/* Copyright (c) 2004 The Concord Consortium, Inc., 
   10 Concord Crossing, Concord, MA 01741.

   This library is free software; you can redistribute it
   and/or modify it under the terms of the GNU Lesser General
   Public License as published by the Free Software 
   Foundation; version 2.1 of the License.

   This library is distributed in the hope that it will be
   useful, but WITHOUT ANY WARRANTY; without even the 
   implied warranty of MERCHANTABILITY or FITNESS FOR A 
   PARTICULAR PURPOSE. See the GNU Lesser General Public 
   License for more details.

   The GNU Lesser General Public License can be found at 
   http://opensource.org/licenses/lgpl-license.php; for a 
   paper copy, write to the Free Software Foundation, Inc., 
   59 Temple Place, Suite 330, Boston, MA 02111-1307 USA 
*/


/**
 * Last modification information:
 * $Revision: 1.1 $
 * $Date: 2004/05/24 21:38:38 $
 * $Author: imoncada $
 *
 * Copyright 2004 The Concord Consortium
*/
package org.concord.rttapplets.savestate;

import java.io.*;
/**
 * 
 * @author Ingrid Moncada<p>
*/
public class ErrorStream extends OutputStream
{
	StringBuffer errorString;
	
	public ErrorStream()
	{
		errorString = new StringBuffer();
	}
	
	//OutputStream methods
	byte[] bytes = new byte [1];
	public void write(int b)
	{
		bytes[0] = (byte)b;
		errorString.append(new String(bytes));
	}

	public void write(byte[] b)
	{
		errorString.append(new String(b));
	}

	public void write(byte[] b, int off, int len)
	{
		errorString.append(new String(b, off, len));
	} 
	
	public void print(String s)
	{
		errorString.append(s);
	}
	
	public void println(String s)
	{
		errorString.append(s);
		errorString.append("\n");
	}
	
	public void clear()
	{
		errorString.delete(0, errorString.length());
	}

	public String toString()
	{
		return errorString.toString();
	}
}
