/* Copyright (c) 2004 The Concord Consortium, Inc., 
   10 Concord Crossing, Concord, MA 01741.

   This library is free software; you can redistribute it
   and/or modify it under the terms of the GNU Lesser General
   Public License as published by the Free Software 
   Foundation; version 2.1 of the License.

   This library is distributed in the hope that it will be
   useful, but WITHOUT ANY WARRANTY; without even the 
   implied warranty of MERCHANTABILITY or FITNESS FOR A 
   PARTICULAR PURPOSE. See the GNU Lesser General Public 
   License for more details.

   The GNU Lesser General Public License can be found at 
   http://opensource.org/licenses/lgpl-license.php; for a 
   paper copy, write to the Free Software Foundation, Inc., 
   59 Temple Place, Suite 330, Boston, MA 02111-1307 USA 
*/


/**
 * Last modification information:
 * $Revision: 1.1 $
 * $Date: 2004/05/24 21:38:38 $
 * $Author: imoncada $
 *
 * Copyright 2004 The Concord Consortium
*/
package org.concord.rttapplets.savestate;

import java.awt.*;
import java.util.Vector;

/**
 * 
 * @author Eric Brown-Munoz<p>
 * @author Ingrid Moncada<p>
*/
public class SaveStateServer
{
	DataServer ds;
	
	public SaveStateServer()
	{
		this(null);
	}
	
	public SaveStateServer(ErrorStream err)
	{
		AppProperties.setScriptsURL(this.getClass());
		ds = new DataServer(AppProperties.getScriptsUrl(), err);
	}

	/**
	 * Returns the list of Cohorts as a vector
	*/
	public Vector getCohortList()
	{
		return ds.transferData(AppProperties.SCRIPT_URL_getCohortList);
	}
	
	/**
	 * Saves the image with all the info given
	 * returns an identifier for the image stored
	*/
	public String saveStateAsImage(String cohortId, String username,
		String title, String comment, String interactiveName, Image image)
	{
	    Vector outputData = new Vector();
	    outputData.add(cohortId);
	    outputData.add(username);
	    outputData.add(title);
	    outputData.add(comment);
	    outputData.add(interactiveName);
	    outputData.add(image);

	    String[] out = ds.transferData(AppProperties.SCRIPT_URL_saveStateAsImage,outputData);
		
		if (out!=null && out.length>0){
			return out[0];
		}
		else{
			return "";
		}
	}

	public ErrorStream getErrorStream()
	{
		if (ds == null) return null;
		return ds.getErrorStream();
	}
	
	public String getErrorMessage()
	{
		if (ds == null) return "";
		return ds.getErrorMessage();
	}
	
	public void clearErrorMessage()
	{
		if (ds == null) return;
		ds.clearErrorMessage();
	}
}
