/* Copyright (c) 2004 The Concord Consortium, Inc., 
   10 Concord Crossing, Concord, MA 01741.

   This library is free software; you can redistribute it
   and/or modify it under the terms of the GNU Lesser General
   Public License as published by the Free Software 
   Foundation; version 2.1 of the License.

   This library is distributed in the hope that it will be
   useful, but WITHOUT ANY WARRANTY; without even the 
   implied warranty of MERCHANTABILITY or FITNESS FOR A 
   PARTICULAR PURPOSE. See the GNU Lesser General Public 
   License for more details.

   The GNU Lesser General Public License can be found at 
   http://opensource.org/licenses/lgpl-license.php; for a 
   paper copy, write to the Free Software Foundation, Inc., 
   59 Temple Place, Suite 330, Boston, MA 02111-1307 USA 
*/


package org.concord.rttapplets.ui;

import java.awt.*;
import java.awt.event.*;
import java.io.*;
import javax.swing.*;
import java.util.*;

import org.concord.graphfunction.ui.ResourceLoader;

public class AboutButton extends JButton 
	implements ActionListener
{
	Component screenComponent;
	String interactiveName;
    String aboutFile;
	public AboutButton(Component c, String interactiveName)
	{
		this.screenComponent = c;
		this.interactiveName = interactiveName;
		this.setText("About");
		this.setContentAreaFilled(false);
    //	this.setBorderPainted(false);
		
		this.setPreferredSize(new Dimension(100,24));
		
		this.addActionListener(this);

        aboutFile = readTextFromJar ("html/"+removeSpaces(interactiveName)+".htm");
//		dialog = new AboutButtonPanel(screenComponent, interactiveName);
//		dialog.addComponentToExclude(this);
	}
	
    public void actionPerformed (ActionEvent e) 
	{

       JFrame frame = new JFrame();
  /*  try {
        BufferedReader in = new BufferedReader(new FileReader("about.htm"));
        String str;
        String fullstring;
        while ((str = in.readLine()) != null) {
            fullstring = fullstring+str;
        }
        in.close();
    } catch (IOException e) {
    } */
 
      JOptionPane.showMessageDialog(frame,
        aboutFile,
        "About "+interactiveName,
        JOptionPane.PLAIN_MESSAGE);
	}

  public static String readTextFromJar(String s) {
    String thisLine;
    StringBuffer everything = new StringBuffer();
    try {
      InputStream is = AboutButton.class.getResourceAsStream(s);
      BufferedReader br = new BufferedReader
         (new InputStreamReader(is));
      while ((thisLine = br.readLine()) != null) {  
       //  System.out.println(thisLine);
         everything.append(thisLine);
         }
      }
    catch (Exception e) {
      e.printStackTrace();
      }
      return everything.toString();
  }

    public String removeSpaces(String s) {
  StringTokenizer st = new StringTokenizer(s," ",false);
  String t="";
  while (st.hasMoreElements()) t += st.nextElement();
  return t;
  }
	
}

