/* Copyright (c) 2004 The Concord Consortium, Inc., 
   10 Concord Crossing, Concord, MA 01741.

   This library is free software; you can redistribute it
   and/or modify it under the terms of the GNU Lesser General
   Public License as published by the Free Software 
   Foundation; version 2.1 of the License.

   This library is distributed in the hope that it will be
   useful, but WITHOUT ANY WARRANTY; without even the 
   implied warranty of MERCHANTABILITY or FITNESS FOR A 
   PARTICULAR PURPOSE. See the GNU Lesser General Public 
   License for more details.

   The GNU Lesser General Public License can be found at 
   http://opensource.org/licenses/lgpl-license.php; for a 
   paper copy, write to the Free Software Foundation, Inc., 
   59 Temple Place, Suite 330, Boston, MA 02111-1307 USA 
*/


/**
 * Last modification information:
 * $Revision: 1.3 $
 * $Date: 2004/07/14 20:11:28 $
 * $Author: ebrown-munoz $
 *
 * Copyright 2004 The Concord Consortium
*/
package org.concord.rttapplets.ui;

import java.awt.*;

import javax.swing.*;

import org.concord.graphfunction.ui.ResourceLoader;

/**
 * Panel used as title of all RTT applets
 * 
 * @author Ingrid Moncada<p>
*/
public class AppletTitlePanel extends JPanel
{
	public AppletTitlePanel(String appletName)
	{
		JLabel titleLabel = new JLabel(appletName);
		titleLabel.setForeground(Color.white);
		titleLabel.setBackground(new Color(0x344fe0));
		titleLabel.setOpaque(true);
		titleLabel.setFont(new Font(titleLabel.getFont().getName(), Font.BOLD, 24));
		titleLabel.setAlignmentX(CENTER_ALIGNMENT);
		titleLabel.setHorizontalAlignment(SwingConstants.CENTER);

		JLabel iconLabel = new JLabel();
		iconLabel.setIcon(ResourceLoader.getImageIcon("cc_sunflower.gif",""));
		
		setBackground(Color.white);
		//setLayout(new BorderLayout());
		add(iconLabel);//, BorderLayout.WEST);
		add(titleLabel);//, BorderLayout.CENTER);

	}
}
