/* Copyright (c) 2004 The Concord Consortium, Inc., 
   10 Concord Crossing, Concord, MA 01741.

   This library is free software; you can redistribute it
   and/or modify it under the terms of the GNU Lesser General
   Public License as published by the Free Software 
   Foundation; version 2.1 of the License.

   This library is distributed in the hope that it will be
   useful, but WITHOUT ANY WARRANTY; without even the 
   implied warranty of MERCHANTABILITY or FITNESS FOR A 
   PARTICULAR PURPOSE. See the GNU Lesser General Public 
   License for more details.

   The GNU Lesser General Public License can be found at 
   http://opensource.org/licenses/lgpl-license.php; for a 
   paper copy, write to the Free Software Foundation, Inc., 
   59 Temple Place, Suite 330, Boston, MA 02111-1307 USA 
*/


/**
 * Last modification information:
 * $Revision: 1.2 $
 * $Date: 2004/08/11 15:14:37 $
 * $Author: ebrown-munoz $
 *
 * Copyright 2004 The Concord Consortium
*/
package org.concord.rttapplets.ui;

import java.awt.*;
import java.awt.event.*;

import javax.swing.*;

/**
 *
 * 
 * @author Ingrid Moncada<p>
*/
public class MessageDialog extends JFrame implements ActionListener
{
	//AppProperties.getScriptsUrl()+"/getimage.php?id="+imageId;
	//"You can use the following link to view it:"
	//"<html><a href=\""+strMessage+"\">"+strMessage+"</a></html>";
	public MessageDialog(String title, String[] intro, String message)
	{
		super(title);
		
		System.out.println("MessageDialog Constructor"); 
		
		JPanel titlePanel = new JPanel();
		Container contentPane = getContentPane();
		contentPane.setLayout(new BorderLayout());


		titlePanel.setLayout(new BoxLayout(titlePanel, BoxLayout.Y_AXIS));
		int i;
		for(i=0;i<intro.length;i++){
			System.out.println("MessageDialog adding label " + intro[i]);
			titlePanel.add(new JLabel(intro[i]));
		}
		TextArea imageIdLabel = new TextArea();
		imageIdLabel.setEditable(false);
		imageIdLabel.setBackground(Color.white);
		imageIdLabel.append(message);
		
		System.out.println("MessageDialog adding message " + message);
		
		JButton okButton = new JButton("OK");
		okButton.setActionCommand("cancel");
		okButton.addActionListener(this);
		JPanel buttonPanel = new JPanel();
		buttonPanel.add(okButton);
		
		//removeAll();
		setSize(480,100 + 60 *(intro.length));
		contentPane.add(titlePanel, BorderLayout.NORTH);
		contentPane.add(imageIdLabel, BorderLayout.CENTER);
		contentPane.add(buttonPanel, BorderLayout.SOUTH);
		//setModal(true);
		try{
			setLocationRelativeTo(this);
		}catch(Throwable t){}
		setVisible(true);
		validate();
		pack();

		addWindowListener( new WindowAdapter() 
		{
			public void windowClosing(WindowEvent e)
			{
				hide();
			}			
		});
	}

    public void actionPerformed (ActionEvent e) 
	{
		hide();
	}
}
