/* Copyright (c) 2004 The Concord Consortium, Inc., 
   10 Concord Crossing, Concord, MA 01741.

   This library is free software; you can redistribute it
   and/or modify it under the terms of the GNU Lesser General
   Public License as published by the Free Software 
   Foundation; version 2.1 of the License.

   This library is distributed in the hope that it will be
   useful, but WITHOUT ANY WARRANTY; without even the 
   implied warranty of MERCHANTABILITY or FITNESS FOR A 
   PARTICULAR PURPOSE. See the GNU Lesser General Public 
   License for more details.

   The GNU Lesser General Public License can be found at 
   http://opensource.org/licenses/lgpl-license.php; for a 
   paper copy, write to the Free Software Foundation, Inc., 
   59 Temple Place, Suite 330, Boston, MA 02111-1307 USA 
*/


/* Author: Eric Brown-Munoz
   $Revision: 1.5 $
*/

package org.concord.rttapplets.ui;

import java.awt.*;
import javax.swing.*;

public class RTTFrame extends JFrame {


	public RTTFrame(JComponent pane, String title) {
		this (pane, title, true);
	}

	public RTTFrame(JComponent pane, String title, boolean dispose) {
		super(title);

		if (dispose) {
			setDefaultCloseOperation(JFrame.DISPOSE_ON_CLOSE);
		} else {
			setDefaultCloseOperation(JFrame.HIDE_ON_CLOSE);
		}

		Container contentPane = getContentPane();
		contentPane.setLayout(new BorderLayout());

		JPanel topPane = new AppletTitlePanel(title);
		topPane.setBackground(new Color(0x344fe0));
		topPane.setBorder(BorderFactory.createRaisedBevelBorder());
		contentPane.add(topPane,BorderLayout.NORTH);


		contentPane.add(pane,BorderLayout.CENTER);

		JPanel bottomPane = new JPanel();
        bottomPane.setLayout (new BoxLayout(bottomPane, BoxLayout.X_AXIS));
		JLabel copyright = new JLabel ("Copyright (C) 2004 The " + 
									   "Concord Consortium.");
		copyright.setFont(new Font("Serif",Font.ITALIC, 10));
		bottomPane.add(copyright);

        bottomPane.add (Box.createHorizontalGlue());
		bottomPane.add(new AboutButton(pane, title)); 

		bottomPane.add(new SaveAsImageButton(pane, title));

		contentPane.add(bottomPane,BorderLayout.SOUTH);
			
		setSize(700,450);
	}
}
