/* Copyright (c) 2004 The Concord Consortium, Inc., 
   10 Concord Crossing, Concord, MA 01741.

   This library is free software; you can redistribute it
   and/or modify it under the terms of the GNU Lesser General
   Public License as published by the Free Software 
   Foundation; version 2.1 of the License.

   This library is distributed in the hope that it will be
   useful, but WITHOUT ANY WARRANTY; without even the 
   implied warranty of MERCHANTABILITY or FITNESS FOR A 
   PARTICULAR PURPOSE. See the GNU Lesser General Public 
   License for more details.

   The GNU Lesser General Public License can be found at 
   http://opensource.org/licenses/lgpl-license.php; for a 
   paper copy, write to the Free Software Foundation, Inc., 
   59 Temple Place, Suite 330, Boston, MA 02111-1307 USA 
*/


/**
 * Last modification information:
 * $Revision: 1.2 $
 * $Date: 2004/07/14 17:43:03 $
 * $Author: ebrown-munoz $
 *
 * Copyright 2004 The Concord Consortium
*/
package org.concord.rttapplets.ui;

import java.awt.*;
import java.awt.event.*;

import javax.swing.*;

import org.concord.graphfunction.ui.ResourceLoader;

/**
 * Camera button to save a screenshot of the interactive 
 * 
 * @author Ingrid Moncada<p>
*/
public class SaveAsImageButton extends JButton 
	implements ActionListener
{
	Component screenComponent;
	String interactiveName;

	SaveAsImagePanel dialog = null;
	
	public SaveAsImageButton(Component c, String interactiveName)
	{
		this.screenComponent = c;
		this.interactiveName = interactiveName;
		this.setIcon(ResourceLoader.getImageIcon("camera1.gif",""));
		this.setContentAreaFilled(false);
		//this.setBorderPainted(false);
		
		this.setPreferredSize(new Dimension(24,24));
		
		this.addActionListener(this);

		dialog = new SaveAsImagePanel(screenComponent, interactiveName);
		dialog.addComponentToExclude(this);
	}
	
    public void actionPerformed (ActionEvent e) 
	{
		dialog.showAsDialog();
	}
	
}
